%define pypi_name ptyprocess

Name:           python-%{pypi_name}
Version:        0.7.0
Release:        %mkrel 8
Group:          Development/Python
Summary:        Run a subprocess in a pseudo terminal
License:        BSD
URL:            https://pypi.python.org/pypi/ptyprocess
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Launch a subprocess in a pseudo terminal (pty), and interact with both
the process and its pty.

%package -n     python3-%{pypi_name}
Summary:        Run a subprocess in a pseudo terminal

%description -n python3-%{pypi_name}
Launch a subprocess in a pseudo terminal (pty), and interact with both
the process and its pty.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ptyprocess

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Tue Feb 25 2025 wally <wally> 0.7.0-8.mga10
+ Revision: 2152268
- rebuild for python3.13

* Tue Dec 26 2023 wally <wally> 0.7.0-7.mga10
+ Revision: 2021663
- another rebuild for py3.12 due to a missing pkgs

* Wed Dec 13 2023 papoteur <papoteur> 0.7.0-6.mga10
+ Revision: 2017823
- rebuild for python 3.12

* Thu Dec 07 2023 wally <wally> 0.7.0-5.mga10
+ Revision: 2015149
- rebuild for py3.12

* Mon Mar 21 2022 umeabot <umeabot> 0.7.0-4.mga9
+ Revision: 1816155
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tv <tv> 0.7.0-3.mga9
+ Revision: 1773801
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Tue Mar 16 2021 tmb <tmb> 0.7.0-2.mga9
+ Revision: 1703915
- rebuild for python 3.9

* Tue Mar 16 2021 wally <wally> 0.7.0-1.mga9
+ Revision: 1703914
- new version 0.7.0
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.6.0-3.mga8
+ Revision: 1531407
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 tv <tv> 0.6.0-2.mga8
+ Revision: 1439900
- rebuild for python-3.8
- drop python2 subpkg

* Sat Apr 20 2019 wally <wally> 0.6.0-1.mga7
+ Revision: 1393724
- new version 0.6.0

* Sun Jan 06 2019 tmb <tmb> 0.5.2-3.mga7
+ Revision: 1350233
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.5.2-2.mga7
+ Revision: 1289754
- Mageia 7 Mass Rebuild

* Mon Mar 19 2018 kekepower <kekepower> 0.5.2-1.mga7
+ Revision: 1210487
- Update to version 0.5.2
- Rename python-ptyprocess to python2-ptyprocess
- Removed empty lines

* Fri Aug 04 2017 tv <tv> 0.5.1-2.mga7
+ Revision: 1134529
- rebuild for new python

* Fri Apr 15 2016 philippem <philippem> 0.5.1-1.mga6
+ Revision: 1002831
- update to 0.5.1

* Fri Feb 19 2016 umeabot <umeabot> 0.5-3.mga6
+ Revision: 970442
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 tv <tv> 0.5-2.mga6
+ Revision: 886736
- rebuild for python 3.5

* Sun Jul 05 2015 joequant <joequant> 0.5-1.mga6
+ Revision: 850820
- imported package python-ptyprocess

